### Name: find.interaction
### Title: Find Interactions Between Pairs of Variables
### Aliases: find.interaction
### Keywords: survival tree

### ** Examples

## Not run: 
##D #------------------------------------------------------------------------
##D # Maximal subtree approach (veteran data).
##D 
##D data(veteran, package = "randomSurvivalForest") 
##D v.out <- rsf(Survrsf(time,status) ~ . , veteran, forest = TRUE)
##D find.interaction(v.out)
##D 
##D #------------------------------------------------------------------------
##D # Maximal subtree approach, top 8 predictors (PBC data).
##D 
##D data(pbc, package = "randomSurvivalForest") 
##D pbc.out <- rsf(Survrsf(days,status) ~ ., pbc, nsplit = 10, forest = TRUE)
##D find.interaction(pbc.out, npred = 8)
##D 
##D #------------------------------------------------------------------------
##D # VIMP approach (PBC data). 
##D # Use fast approximation to speed up computations.
##D 
##D data(pbc, package = "randomSurvivalForest") 
##D pbc.out <- rsf(Survrsf(days,status) ~ ., pbc, nsplit = 10, forest = TRUE)
##D find.interaction(pbc.out, method = "vimp", nrep=3, rough=T)
##D 
##D #------------------------------------------------------------------------
##D # Competing risks (WIHS data).
##D 
##D data(wihs, package = "randomSurvivalForest")
##D wihs.out <- rsf(Surv(time, status) ~ ., wihs, nsplit = 3, ntree = 200, forest = TRUE)
##D find.interaction(wihs.out, method = "vimp")
## End(Not run)



